/* This file is part of the KDE project
   Copyright (C) 2002 Carsten Pfeiffer <pfeiffer@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef INDEXER_H
#define INDEXER_H

#include <tqobject.h>

#include <kmrml_config.h>

class TDEProcess;
class KProcIO;

namespace KMrmlConfig
{
    class Indexer : public TQObject
    {
        Q_OBJECT
  

    public:
        Indexer( const KMrml::Config *config,
                 TQObject *parent = 0L, const char *name = 0 );
        ~Indexer();

        void startIndexing( const TQStringList& dirs );
        void stop();

    signals:
        void progress( int percent, const TQString& text );
        void finished( int returnCode );


    private slots:
        void slotCanRead( KProcIO * );
        void processFinished( TDEProcess * );

    private:
        void processNext();

        KProcIO *m_process;
        const KMrml::Config *m_config;

        uint m_dirCount;
        TQStringList m_dirs;
        TQString m_currentDir;

    };


}


#endif // INDEXER_H
